### Function

# Gimp smudge_default

#### Declaration [src]

    gboolean
    gimp_smudge_default (
      GimpDrawable* drawable,
      gint num_strokes,
      const gdouble* strokes
    )

#### Description [src]

Smudge image with varying pressure.

This tool simulates a smudge using the current brush. It behaves exactly the same as `gimp_smudge()` except that the pressure value is taken from the smudge tool options or the options default if the tools option dialog has not been activated.

#### Parameters

`drawable` | `GimpDrawable`
| The affected drawable.
| The data is owned by the caller of the function.
`num_strokes` | `gint`
| Number of stroke control points (count each coordinate as 2 points).
`strokes` | An array of `double`
| Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.
| The length of the array is specified in the `num_strokes` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.